## xonsh 0.12.4+dfsg

=== Makefile ===
# Make GNU Make xonshy
SHELL=xonsh
.SHELLFLAGS=-c
.ONESHELL:
.SILENT:

# Unlike normal makefiles: executes the entire body in one go under xonsh, and doesn't echo

.PHONY: help
help:
	print("""
	Utility file for xonsh project. Try these targets:
	* amalgamate: Generate __amalgam__.py files
	* clean: Remove generated files (namely, the amalgamations)
	""")

.PHONY: clean
clean:
	find xonsh -name __amalgam__.py -delete -print

.PHONY: amalgamate
amalgamate:
	import sys
	sys.path.insert(0, '.')
	import setup
	setup.amalgamate_source()
	_ = sys.path.pop(0)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
RELEASE = v0.1

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

DOCREPONAME = xonsh-docs
DOCREPOURL  = git@github.com:xonsh/xonsh-docs.git
DOCREPOBRANCH = gh-pages

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/metasci.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/metasci.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

push-latest:
	cd $(BUILDDIR) && \
	test -d $(DOCREPONAME) || git clone $(DOCREPOURL) $(DOCREPONAME) && \
	cd $(DOCREPONAME) && \
	git pull origin $(DOCREPOBRANCH) && \
	test -d latest || mkdir latest && touch latest/_ && \
	rm -r latest/* && \
	cp -r ../html/* latest/ && \
	git add latest/ && \
	git commit -am "Pushed latest docs at $(date)" && \
	git push

push-release:
	cd $(BUILDDIR) && \
	test -d $(DOCREPONAME) || git clone $(DOCREPOURL) $(DOCREPONAME) && \
	cd $(DOCREPONAME) && \
	git pull origin $(DOCREPOBRANCH) && \
	test -d $(RELEASE) || mkdir $(RELEASE) && touch $(RELEASE)/_ && \
	rm -r $(RELEASE)/* && \
	cp -r ../html/* $(RELEASE)/ && \
	git add $(RELEASE)/ && \
	git commit -am "Pushed $(RELEASE) docs at $(date)" && \
	git push

push-root:
	cd $(BUILDDIR) && \
	test -d $(DOCREPONAME) || git clone $(DOCREPOURL) $(DOCREPONAME) && \
	cd $(DOCREPONAME) && \
	git pull origin $(DOCREPOBRANCH) && \
	rm -rf api previous _sources _static *.html *.js *.inv  && \
	cp -r ../html/* . && \
	git add . && \
	git commit -am "Pushed root-level docs at $(date)" && \
	git push

serve:
	# disable file-watch with `make serve watch=no`
	python serve_docs.py $(watch)

=== debian/changelog ===
xonsh (0.12.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Restrict Python < 3.10 from attempting to byte-compile
    xonsh/parsers/v310.py, which uses the new match keyword.
    (Closes: #1010742)
  * Patch: Revert pytest 8 support, incompatible with pytest 6.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 May 2022 14:28:10 -0400

xonsh (0.12.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Bump dependencies on python3-prompt-toolkit to >= 3.0.29, as we are
    depending on create_pipe_input being a context manager. (#1010198)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 May 2022 07:37:50 -0400

xonsh (0.12.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Set XONSH_DATA_DIR to a temporary directory while building sphinx docs.
    Fixes FTBFS when $HOME is not writeable.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 May 2022 09:52:44 -0400

xonsh (0.12.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1010198)
  * Refresh patches.
  * Drop patches, superseded upstream:
    - 0005-fix-docs-build-fail-on-tracer-calls-without-spec.patch
    - test-pipelines-import.patch
  * Build-Depends on python3-myst-parser for docs.
  * Build-Depend and autopkgtest Depend on python3-virtualenv.
  * Build the docs within the source tree, as upstream's jinja extension
    expects (otherwise envvars.rst.out can't be located).
  * Tell dh_sphinxdoc to ignore envvars.rst.jinja2.html, the HTML file is
    called envvars.html.
  * Call dh_python3-ply and Depend on ${python3-ply:Depends}.
  * Patch: expect the system python to be called "python3", not "python".
  * Patch: Skip tests that require pytest-subprocess.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 May 2022 07:57:59 -0400

=== debian/control ===
Source: xonsh
Section: shells
Priority: optional
Standards-Version: 4.5.1
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               help2man,
               python3,
               python3-cloud-sptheme <!nodoc>,
               python3-docutils,
               python3-jupyter-client,
               python3-myst-parser <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-ply,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-virtualenv,
Vcs-Git: https://salsa.debian.org/python-team/packages/xonsh.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/xonsh
Homepage: https://xon.sh/
Rules-Requires-Root: no

Package: xonsh
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${python3-ply:Depends},
Recommends: python3-prompt-toolkit (>= 3.0.29~),
            python3-pygments,
            python3-setproctitle,
Suggests: python3-pyperclip,
          xonsh-doc,
Description: Python-powered, cross-platform, Unix-gazing shell
 Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
 xonsh is based on Python, with additional syntax added that makes calling
 subprocess commands, manipulating the environment, and dealing with the file
 system easy. Xonsh supports all normal Python constructs and a subset of
 those available in bash.

Package: xonsh-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: Python-powered, cross-platform, Unix-gazing shell (documentation)
 Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
 xonsh is based on Python, with additional syntax added that makes calling
 subprocess commands, manipulating the environment, and dealing with the file
 system easy. Xonsh supports all normal Python constructs and a subset of
 those available in bash.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -f xonsh/lexer_table.py xonsh/parser_table.py
	rm -rf docs/_build
	find . -name '*.pyc' -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' XONSH_DATA_DIR=$(CURDIR)/docs/_build/xonsh-data-dir
	mv docs/_build/html debian/xonsh-doc/usr/share/doc/xonsh-doc/
	dh_sphinxdoc -O--buildsystem=pybuild --exclude=envvars.rst.jinja2.html
endif

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=. help2man --name "Pythonish, BASHwards looking shell" \
	         --no-info --include debian/xonsh.help2man -o debian/xonsh.1 \
	         ./debian/tmp/usr/bin/xonsh
	mkdir -p debian/tmp/usr/share/xonsh/
	mv debian/tmp/usr/bin/xon.sh debian/tmp/usr/share/xonsh/
	mv debian/tmp/usr/bin/xonsh-cat debian/tmp/usr/share/xonsh/
	# install the jupyter kernel (no longer automatically handled by setup.py)
	mkdir -p debian/tmp/usr/share/jupyter/kernels/xonsh
	echo '{"argv": ["/usr/bin/python3", "-m", "xonsh.jupyter_kernel", "-f", "{connection_file}"], "display_name": "Xonsh", "language": "xonsh", "codemirror_mode": "shell"}' > debian/tmp/usr/share/jupyter/kernels/xonsh/kernel.json

execute_before_dh_python3:
	dh_python3-ply xonsh/completion_parser_table.py xonsh/parser_table.py

## xonsh 0.13.3+dfsg

=== debian/changelog ===
xonsh (0.13.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.3+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Sat, 01 Oct 2022 18:54:27 +0000

xonsh (0.13.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Dropped python3-binary.patch, superseded upstream.
  * Build-Depend on python3-setuptools >= 61, now required.
  * We no longer need to remove xon.sh from /usr/bin.
  * Patch out use of the furo template in docs, not packaged in Debian.
  * Drop patch virtualenv-20.16.patch, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Sep 2022 21:49:15 +0200

xonsh (0.12.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Forwarded python3-binary.patch.
  * Build with pybuild's pyproject plugin.
  * Patch: Add support for virtualenv > 20.16, which now uses stdlib pathlib.
  * Bump copyright.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 09 Aug 2022 13:44:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
+               pybuild-plugin-pyproject,
                python3,
                python3-cloud-sptheme <!nodoc>,
                python3-docutils,
@@ -14,7 +15,7 @@
                python3-myst-parser <!nodoc>,
                python3-numpydoc <!nodoc>,
                python3-ply,
-               python3-setuptools,
+               python3-setuptools (>= 61),
                python3-sphinx <!nodoc>,
                python3-virtualenv,
 Vcs-Git: https://salsa.debian.org/python-team/packages/xonsh.git

## xonsh 0.13.4+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+ALLSPHINXOPTS   = -T -v -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 DOCREPONAME = xonsh-docs
 DOCREPOURL  = git@github.com:xonsh/xonsh-docs.git
@@ -34,6 +34,7 @@
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf api/_autosummary/*
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
xonsh (0.13.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.4+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Jan 2023 22:47:21 +0000

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/xonsh/xonsh/tags .*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## xonsh 0.14.0+dfsg

=== debian/changelog ===
xonsh (0.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Previously bundled xontribs (abbrevs, bashisms, free_cwd,
    whole_word_jumping, fish_completer, vox, autovox, voxapi, pdb, xog) have
    been transferred to separate upstream repositories, and are consequently
    dropped from this one. Until and unless they are independently packaged,
    they can be installed as `pip` packages.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 05 Jul 2023 21:56:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 	         --no-info --include debian/xonsh.help2man -o debian/xonsh.1 \
 	         ./debian/tmp/usr/bin/xonsh
 	mkdir -p debian/tmp/usr/share/xonsh/
-	mv debian/tmp/usr/bin/xon.sh debian/tmp/usr/share/xonsh/
 	mv debian/tmp/usr/bin/xonsh-cat debian/tmp/usr/share/xonsh/
 	# install the jupyter kernel (no longer automatically handled by setup.py)
 	mkdir -p debian/tmp/usr/share/jupyter/kernels/xonsh

## xonsh 0.14.1+dfsg

=== debian/changelog ===
xonsh (0.14.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.1+dfsg
  * d/rules: move all xonsh-* coreutil-reimplementation binaries to usr/share

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Oct 2023 11:20:46 +0000

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	         --no-info --include debian/xonsh.help2man -o debian/xonsh.1 \
 	         ./debian/tmp/usr/bin/xonsh
 	mkdir -p debian/tmp/usr/share/xonsh/
-	mv debian/tmp/usr/bin/xonsh-cat debian/tmp/usr/share/xonsh/
+	mv debian/tmp/usr/bin/xonsh-* debian/tmp/usr/share/xonsh/
 	# install the jupyter kernel (no longer automatically handled by setup.py)
 	mkdir -p debian/tmp/usr/share/jupyter/kernels/xonsh
 	echo '{"argv": ["/usr/bin/python3", "-m", "xonsh.jupyter_kernel", "-f", "{connection_file}"], "display_name": "Xonsh", "language": "xonsh", "codemirror_mode": "shell"}' > debian/tmp/usr/share/jupyter/kernels/xonsh/kernel.json

## xonsh 0.14.3+dfsg

=== debian/changelog ===
xonsh (0.14.3+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)

  [ Stefano Rivera ]
  * Team upload.
  * Patch: Support Sphinx >= 5. (Closes: #1058096)
  * Build-Depends: python3-prompt-toolkit for auto docs.
  * Clean correctly. (Closes: #1048535)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 17 Dec 2023 13:41:44 -0400

xonsh (0.14.1+dfsg-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Thu, 14 Dec 2023 11:21:36 +0100

## xonsh 0.14.4%2Bdfsg

=== debian/tests/control ===
Tests: pytest
Depends: bash,
         git,
         python3-prompt-toolkit (>= 3.0.29~),
         python3-pygments,
         python3-pyte,
         python3-pytest (>= 6),
         python3-pytest-mock,
         python3-virtualenv,
         @,
Restrictions: allow-stderr

Tests: xonsh
Depends: @,

## xonsh 0.14.4+dfsg

=== debian/changelog ===
xonsh (0.14.4+dfsg-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Correct bug number in previous changelog.

  [ Gordon Ball ]
  * New upstream version 0.14.4+dfsg
  * d/patches: drop sphinx-5, applied upstream

 -- Gordon Ball <gordon@chronitis.net>  Sat, 10 Feb 2024 22:38:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,10 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.rst
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f xonsh/lexer_table.py xonsh/parser_table.py
-	rm -rf docs/_build
-	find . -name '*.pyc' -delete
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

## xonsh 0.15.1+dfsg

=== debian/changelog ===
xonsh (0.15.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Supports pytest 8. (Closes: #1063989)
  * Refresh patches.
  * Drop revert-pytest-8.patch, no longer needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 31 Mar 2024 12:30:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                help2man,
                pybuild-plugin-pyproject,
                python3,
@@ -14,6 +14,7 @@
                python3-jupyter-client,
                python3-myst-parser <!nodoc>,
                python3-numpydoc <!nodoc>,
+               python3-prompt-toolkit <!nodoc>,
                python3-ply,
                python3-setuptools (>= 61),
                python3-sphinx <!nodoc>,

## xonsh 0.18.3+dfsg

=== debian/changelog ===
xonsh (0.18.3+dfsg-2) unstable; urgency=medium

  * Backport xonsh#5722 and #5725. These are both related to use of private
    methods in argparse, which were broken by changes in python 3.12.7
    (Closes: #1087103)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 11 Nov 2024 22:28:03 +0100

xonsh (0.18.3+dfsg-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Team upload.
  * New upstream release. (Closes: #1075749)
    - Rebase and reapply all patches.
  * Enable webconfig, previously disabled due to license incompatibilities.
    - Drop patch drop-webconfig.
    - Use the packaged version of Bootstrap.
  * Build the documentation with the furo Sphinx theme, now in Debian.
  * Build and test with pytest-subprocess, now in Debian.
  * Miscellaneous source-level changes:
    - Cleanup debian/xonsh.1 during "debian/rules clean".
    - wrap-and-sort debian/control.
    - Add a gbp.conf config file to enable pristine-tar.
  * Refactor debian/copyright to document all copyright authors and licenses
    found, and miscellaneous other cleanups in the process.
  * Bump Standards-Version to 4.7.0.

 -- Gordon Ball <gordon@chronitis.net>  Sat, 12 Oct 2024 18:48:26 +0000

## xonsh 0.18.4+dfsg

=== debian/changelog ===
xonsh (0.18.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.18.4+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Mon, 18 Nov 2024 21:43:03 +0100

## xonsh 0.19.0+dfsg

=== debian/changelog ===
xonsh (0.19.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix deprecation warnings on Python 3.13 (closes: #1092797).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2025 17:25:05 +0000

## xonsh 0.19.1+dfsg

=== debian/changelog ===
xonsh (0.19.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2025 19:43:12 +0000

## xonsh 0.19.2+dfsg

=== debian/changelog ===
xonsh (0.19.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Feb 2025 02:20:06 +0000

=== debian/control ===
Source: xonsh
Section: shells
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Gordon Ball <gordon@chronitis.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 furo <!nodoc>,
 help2man,
 pybuild-plugin-pyproject,
 python3,
 python3-docutils,
 python3-jupyter-client,
 python3-myst-parser <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-ply,
 python3-prompt-toolkit <!nodoc>,
 python3-setuptools (>= 61),
 python3-sphinx <!nodoc>,
 python3-virtualenv,
Vcs-Git: https://salsa.debian.org/python-team/packages/xonsh.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/xonsh
Homepage: https://xon.sh/
Rules-Requires-Root: no

Package: xonsh
Architecture: all
Depends:
 ${misc:Depends},
 ${python3-ply:Depends},
 ${python3:Depends},
Recommends:
 libjs-bootstrap4,
 python3-prompt-toolkit (>= 3.0.29~),
 python3-pygments,
 python3-setproctitle,
Suggests:
 python3-pyperclip,
 xonsh-doc,
Description: Python-powered, cross-platform, Unix-gazing shell
 Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
 xonsh is based on Python, with additional syntax added that makes calling
 subprocess commands, manipulating the environment, and dealing with the file
 system easy. Xonsh supports all normal Python constructs and a subset of
 those available in bash.

Package: xonsh-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: Python-powered, cross-platform, Unix-gazing shell (documentation)
 Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
 xonsh is based on Python, with additional syntax added that makes calling
 subprocess commands, manipulating the environment, and dealing with the file
 system easy. Xonsh supports all normal Python constructs and a subset of
 those available in bash.
 .
 This package contains the documentation.

## xonsh 0.19.4%2Bdfsg

=== debian/changelog ===
xonsh (0.19.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Apr 2025 21:51:07 +0100

## xonsh 0.19.4+dfsg

=== debian/rules ===
--- 
+++ 
@@ -26,5 +26,8 @@
 	mkdir -p debian/tmp/usr/share/jupyter/kernels/xonsh
 	echo '{"argv": ["/usr/bin/python3", "-m", "xonsh.jupyter_kernel", "-f", "{connection_file}"], "display_name": "Xonsh", "language": "xonsh", "codemirror_mode": "shell"}' > debian/tmp/usr/share/jupyter/kernels/xonsh/kernel.json
 
+execute_after_dh_auto_clean:
+	-rm -f debian/xonsh.1
+
 execute_before_dh_python3:
 	dh_python3-ply xonsh/completion_parser_table.py xonsh/parser_table.py

## xonsh 0.19.9%2Bdfsg

=== debian/tests/control ===
Tests: pytest
Depends:
 bash,
 git,
 python3-prompt-toolkit (>= 3.0.29~),
 python3-pygments,
 python3-pyte,
 python3-pytest (>= 6),
 python3-pytest-mock,
 python3-pytest-subprocess,
 python3-pytest-timeout,
 python3-requests,
 python3-virtualenv,
 @,
Restrictions: allow-stderr

Tests: xonsh
Depends:
 @,

## xonsh 0.19.9+dfsg

=== debian/changelog ===
xonsh (0.19.9+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove ancient debian/xonsh.bcep

  [ Gordon Ball ]
  * New upstream version 0.19.9+dfsg
  * d/patches: refresh
  * d/control: standards-version 4.7.2
  * d/patches: drop deprecated docutils ErrorString
  * d/rules: changelog renamed to CHANGELOG.md
  * d/control: drop now-unneeded rules-requires-root

 -- Gordon Ball <gordon@chronitis.net>  Mon, 13 Oct 2025 21:58:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Gordon Ball <gordon@chronitis.net>,
@@ -24,7 +24,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/xonsh.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xonsh
 Homepage: https://xon.sh/
-Rules-Requires-Root: no
 
 Package: xonsh
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k CHANGELOG.rst
+	dh_installchangelogs -k CHANGELOG.md
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/xonsh/xonsh/tags .*/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## xonsh 0.22.0+dfsg

=== debian/changelog ===
xonsh (0.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.22.0+dfsg
  * d/patches: refresh
  * d/watch: upgrade to version 5

 -- Gordon Ball <gordon@chronitis.net>  Fri, 19 Dec 2025 21:34:44 +0100

=== debian/watch ===
Version: 5
Template: Github
Owner: xonsh
Project: xonsh
Repacksuffix: +dfsg
Dversion-Mangle: auto

## xonsh 0.22.3+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -130,5 +130,4 @@
 	git push
 
 serve:
-	# disable file-watch with `make serve watch=no`
-	python serve_docs.py $(watch)
+	sphinx-autobuild . "$(BUILDDIR)"/html $(SPHINXOPTS) $(O)

=== debian/changelog ===
xonsh (0.22.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.22.3+dfsg
  * d/patches: rebase, drop 0004-drop-deprecated-docutils-errorstring
  * d/control: standards-version 4.7.3, drop priority

 -- Gordon Ball <gordon@chronitis.net>  Sun, 08 Feb 2026 21:08:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: xonsh
 Section: shells
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Gordon Ball <gordon@chronitis.net>,
